Create API Key
POST
/api/v1/user/api-keysCreate a new API key for the user's selected organization.
cURL example
curl -X POST \
'https://app.intracord.hu/api/v1/user/api-keys' \
-H "X-API-Key: $INTRACORD_API_KEY" \
-H 'Content-Type: application/json' \
--data-binary @request.jsonParameters
| Name | Location | Type | Description |
|---|---|---|---|
authorization | header | object | — |
X-API-Key | header | object | — |
Request body
application/jsonView schema
{
"properties": {
"name": {
"type": "string",
"title": "Name"
}
},
"type": "object",
"required": [
"name"
],
"title": "CreateAPIKeyRequest"
}Responses
200Successful Responseapplication/jsonView schema
{
"properties": {
"id": {
"type": "integer",
"title": "Id"
},
"name": {
"type": "string",
"title": "Name"
},
"key_prefix": {
"type": "string",
"title": "Key Prefix"
},
"api_key": {
"type": "string",
"title": "Api Key"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
}
},
"type": "object",
"required": [
"id",
"name",
"key_prefix",
"api_key",
"created_at"
],
"title": "CreateAPIKeyResponse"
}404Not found422Validation Errorapplication/jsonView schema
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}